## START: Set by rpmautospec
## (rpmautospec version 0.3.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 21
%bcond_without check
%global debug_package %{nil}

%global crate pipewire-sys

Name:           rust-%{crate}
Version:        0.5.0
Release:        %autorelease
Summary:        Rust FFI bindings for PipeWire

# Upstream license specification: MIT
# https://gitlab.freedesktop.org/pipewire/pipewire-rs/-/issues/37
License:        MIT
URL:            https://crates.io/crates/pipewire-sys
Source0:        %{crates_source}
Source1:        https://gitlab.freedesktop.org/pipewire/pipewire-rs/-/raw/v0.4.1/LICENSE

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Rust FFI bindings for PipeWire.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(libpipewire-0.3) >= 0.3

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
cp %{SOURCE1} .
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo 'pkgconfig(libpipewire-0.3) >= 0.3'

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * skip generated doctests that are broken with pipewire 0.3.50+
%cargo_test -- -- --skip bindings::pw_time
%endif

%changelog
* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 01 2022 Fabio Valentini <decathorpe@gmail.com> - 0.5.0-2
- Skip generated doctests that are broken with pipewire 0.3.50+

* Thu Mar 31 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.5.0-1
- Update to 0.5.0

* Sat Feb 12 2022 Fabio Valentini <decathorpe@gmail.com> - 0.4.1-2
- Bump system-deps from 3 to 6, add missing LICENSE file

* Mon Jan 31 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.4.1-1
- Initial Fedora package
